---
apiVersion: v1
items:
- apiVersion: v1
  kind: PersistentVolumeClaim
  metadata:
    annotations:
      cdi.kubevirt.io/createdForDataVolume: db786bbc-77ce-4beb-a0da-8dcee243ebb0
      cdi.kubevirt.io/storage.condition.running: "false"
      cdi.kubevirt.io/storage.condition.running.message: Import Complete
      cdi.kubevirt.io/storage.condition.running.reason: Completed
      cdi.kubevirt.io/storage.contentType: kubevirt
      cdi.kubevirt.io/storage.pod.phase: Succeeded
      cdi.kubevirt.io/storage.pod.restarts: "0"
      cdi.kubevirt.io/storage.populator.progress: 100.0%
      cdi.kubevirt.io/storage.preallocation.requested: "false"
      cdi.kubevirt.io/storage.usePopulator: "true"
      pv.kubernetes.io/bind-completed: "yes"
      pv.kubernetes.io/bound-by-controller: "yes"
      reclaimspace.csiaddons.openshift.io/cronjob: 2019-1761741305
      reclaimspace.csiaddons.openshift.io/schedule: '@weekly'
      volume.beta.kubernetes.io/storage-provisioner: openshift-storage.rbd.csi.ceph.com
      volume.kubernetes.io/storage-provisioner: openshift-storage.rbd.csi.ceph.com
    creationTimestamp: "2025-10-29T12:29:38Z"
    finalizers:
    - kubernetes.io/pvc-protection
    - provisioner.storage.kubernetes.io/cloning-protection
    labels:
      app: containerized-data-importer
      app.kubernetes.io/component: storage
      app.kubernetes.io/managed-by: cdi-controller
      app.kubernetes.io/part-of: hyperconverged-cluster
      app.kubernetes.io/version: 4.19.11
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            f:pv.kubernetes.io/bind-completed: {}
            f:pv.kubernetes.io/bound-by-controller: {}
            f:volume.beta.kubernetes.io/storage-provisioner: {}
            f:volume.kubernetes.io/storage-provisioner: {}
        f:spec:
          f:volumeName: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-29T12:33:02Z"
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          f:accessModes: {}
          f:capacity:
            .: {}
            f:storage: {}
          f:phase: {}
      manager: kube-controller-manager
      operation: Update
      subresource: status
      time: "2025-10-29T12:33:02Z"
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:cdi.kubevirt.io/createdForDataVolume: {}
            f:cdi.kubevirt.io/storage.condition.running: {}
            f:cdi.kubevirt.io/storage.condition.running.message: {}
            f:cdi.kubevirt.io/storage.condition.running.reason: {}
            f:cdi.kubevirt.io/storage.contentType: {}
            f:cdi.kubevirt.io/storage.pod.phase: {}
            f:cdi.kubevirt.io/storage.pod.restarts: {}
            f:cdi.kubevirt.io/storage.populator.progress: {}
            f:cdi.kubevirt.io/storage.preallocation.requested: {}
            f:cdi.kubevirt.io/storage.usePopulator: {}
          f:labels:
            .: {}
            f:app: {}
            f:app.kubernetes.io/component: {}
            f:app.kubernetes.io/managed-by: {}
            f:app.kubernetes.io/part-of: {}
            f:app.kubernetes.io/version: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"db786bbc-77ce-4beb-a0da-8dcee243ebb0"}: {}
        f:spec:
          f:accessModes: {}
          f:dataSourceRef:
            .: {}
            f:apiGroup: {}
            f:kind: {}
            f:name: {}
          f:resources:
            f:requests:
              .: {}
              f:storage: {}
          f:storageClassName: {}
          f:volumeMode: {}
      manager: virt-cdi-controller
      operation: Update
      time: "2025-10-29T12:33:02Z"
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:finalizers:
            v:"provisioner.storage.kubernetes.io/cloning-protection": {}
      manager: csi-provisioner
      operation: Update
      time: "2025-10-29T12:33:06Z"
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            f:reclaimspace.csiaddons.openshift.io/cronjob: {}
            f:reclaimspace.csiaddons.openshift.io/schedule: {}
      manager: csi-addons-manager
      operation: Update
      time: "2025-10-29T12:35:05Z"
    name: "2019"
    namespace: openshift-virtualization-os-images
    ownerReferences:
    - apiVersion: cdi.kubevirt.io/v1beta1
      blockOwnerDeletion: true
      controller: true
      kind: DataVolume
      name: "2019"
      uid: db786bbc-77ce-4beb-a0da-8dcee243ebb0
    resourceVersion: "2185076"
    uid: 564f9b74-0b31-425a-abbe-b9ab922e8e60
  spec:
    accessModes:
    - ReadWriteMany
    dataSource:
      apiGroup: cdi.kubevirt.io
      kind: VolumeImportSource
      name: volume-import-source-db786bbc-77ce-4beb-a0da-8dcee243ebb0
    dataSourceRef:
      apiGroup: cdi.kubevirt.io
      kind: VolumeImportSource
      name: volume-import-source-db786bbc-77ce-4beb-a0da-8dcee243ebb0
    resources:
      requests:
        storage: "75161927680"
    storageClassName: ocs-storagecluster-ceph-rbd-virtualization
    volumeMode: Block
    volumeName: pvc-be5feaf9-3afd-4478-ad24-459cee6caabb
  status:
    accessModes:
    - ReadWriteMany
    capacity:
      storage: 70Gi
    phase: Bound
- apiVersion: v1
  kind: PersistentVolumeClaim
  metadata:
    annotations:
      cdi.kubevirt.io/createdForDataVolume: 60c09642-44e9-455e-9ae4-4e7bbd15bd6d
      cdi.kubevirt.io/storage.bind.immediate.requested: "true"
      cdi.kubevirt.io/storage.condition.running: "false"
      cdi.kubevirt.io/storage.condition.running.message: Import Complete
      cdi.kubevirt.io/storage.condition.running.reason: Completed
      cdi.kubevirt.io/storage.contentType: kubevirt
      cdi.kubevirt.io/storage.pod.phase: Succeeded
      cdi.kubevirt.io/storage.pod.restarts: "0"
      cdi.kubevirt.io/storage.populator.progress: 100.0%
      cdi.kubevirt.io/storage.preallocation.requested: "false"
      cdi.kubevirt.io/storage.usePopulator: "true"
      pv.kubernetes.io/bind-completed: "yes"
      pv.kubernetes.io/bound-by-controller: "yes"
    creationTimestamp: "2025-10-29T12:24:53Z"
    finalizers:
    - kubernetes.io/pvc-protection
    labels:
      alerts.k8s.io/KubePersistentVolumeFillingUp: disabled
      app: containerized-data-importer
      app.kubernetes.io/component: storage
      app.kubernetes.io/managed-by: cdi-controller
      app.kubernetes.io/part-of: hyperconverged-cluster
      app.kubernetes.io/version: 4.19.11
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            f:pv.kubernetes.io/bind-completed: {}
            f:pv.kubernetes.io/bound-by-controller: {}
        f:spec:
          f:volumeName: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-29T12:25:38Z"
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          f:accessModes: {}
          f:capacity:
            .: {}
            f:storage: {}
          f:phase: {}
      manager: kube-controller-manager
      operation: Update
      subresource: status
      time: "2025-10-29T12:25:38Z"
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:cdi.kubevirt.io/createdForDataVolume: {}
            f:cdi.kubevirt.io/storage.bind.immediate.requested: {}
            f:cdi.kubevirt.io/storage.condition.running: {}
            f:cdi.kubevirt.io/storage.condition.running.message: {}
            f:cdi.kubevirt.io/storage.condition.running.reason: {}
            f:cdi.kubevirt.io/storage.contentType: {}
            f:cdi.kubevirt.io/storage.pod.phase: {}
            f:cdi.kubevirt.io/storage.pod.restarts: {}
            f:cdi.kubevirt.io/storage.populator.progress: {}
            f:cdi.kubevirt.io/storage.preallocation.requested: {}
            f:cdi.kubevirt.io/storage.usePopulator: {}
          f:labels:
            .: {}
            f:alerts.k8s.io/KubePersistentVolumeFillingUp: {}
            f:app: {}
            f:app.kubernetes.io/component: {}
            f:app.kubernetes.io/managed-by: {}
            f:app.kubernetes.io/part-of: {}
            f:app.kubernetes.io/version: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"60c09642-44e9-455e-9ae4-4e7bbd15bd6d"}: {}
        f:spec:
          f:accessModes: {}
          f:dataSourceRef:
            .: {}
            f:apiGroup: {}
            f:kind: {}
            f:name: {}
          f:resources:
            f:requests:
              .: {}
              f:storage: {}
          f:storageClassName: {}
          f:volumeMode: {}
      manager: virt-cdi-controller
      operation: Update
      time: "2025-10-29T12:25:38Z"
    name: dv-for-product-upgrade-hostpath-csi-pvc-block
    namespace: openshift-virtualization-os-images
    ownerReferences:
    - apiVersion: cdi.kubevirt.io/v1beta1
      blockOwnerDeletion: true
      controller: true
      kind: DataVolume
      name: dv-for-product-upgrade-hostpath-csi-pvc-block
      uid: 60c09642-44e9-455e-9ae4-4e7bbd15bd6d
    resourceVersion: "2176020"
    uid: f000c40b-c9ac-4304-8519-fef7e6430310
  spec:
    accessModes:
    - ReadWriteOnce
    dataSource:
      apiGroup: cdi.kubevirt.io
      kind: VolumeImportSource
      name: volume-import-source-60c09642-44e9-455e-9ae4-4e7bbd15bd6d
    dataSourceRef:
      apiGroup: cdi.kubevirt.io
      kind: VolumeImportSource
      name: volume-import-source-60c09642-44e9-455e-9ae4-4e7bbd15bd6d
    resources:
      requests:
        storage: "22763326669"
    storageClassName: hostpath-csi-pvc-block
    volumeMode: Filesystem
    volumeName: pvc-e73853c3-640d-4e8f-b75c-b385c7378174
  status:
    accessModes:
    - ReadWriteOnce
    capacity:
      storage: 99Gi
    phase: Bound
- apiVersion: v1
  kind: PersistentVolumeClaim
  metadata:
    annotations:
      cdi.kubevirt.io/createdForDataVolume: 1875e595-8167-4d4e-a0fa-da635def8fa9
      cdi.kubevirt.io/storage.bind.immediate.requested: "true"
      cdi.kubevirt.io/storage.condition.running: "false"
      cdi.kubevirt.io/storage.condition.running.message: Import Complete
      cdi.kubevirt.io/storage.condition.running.reason: Completed
      cdi.kubevirt.io/storage.contentType: kubevirt
      cdi.kubevirt.io/storage.pod.phase: Succeeded
      cdi.kubevirt.io/storage.pod.restarts: "0"
      cdi.kubevirt.io/storage.populator.progress: 100.0%
      cdi.kubevirt.io/storage.preallocation.requested: "false"
      cdi.kubevirt.io/storage.usePopulator: "true"
      pv.kubernetes.io/bind-completed: "yes"
      pv.kubernetes.io/bound-by-controller: "yes"
      reclaimspace.csiaddons.openshift.io/cronjob: dv-for-product-upgrade-ocs-storagecluster-ceph-rbd-virtualization-1761740775
      reclaimspace.csiaddons.openshift.io/schedule: '@weekly'
      volume.beta.kubernetes.io/storage-provisioner: openshift-storage.rbd.csi.ceph.com
      volume.kubernetes.io/storage-provisioner: openshift-storage.rbd.csi.ceph.com
    creationTimestamp: "2025-10-29T12:24:53Z"
    finalizers:
    - kubernetes.io/pvc-protection
    - provisioner.storage.kubernetes.io/cloning-protection
    labels:
      app: containerized-data-importer
      app.kubernetes.io/component: storage
      app.kubernetes.io/managed-by: cdi-controller
      app.kubernetes.io/part-of: hyperconverged-cluster
      app.kubernetes.io/version: 4.19.11
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            f:pv.kubernetes.io/bind-completed: {}
            f:pv.kubernetes.io/bound-by-controller: {}
            f:volume.beta.kubernetes.io/storage-provisioner: {}
            f:volume.kubernetes.io/storage-provisioner: {}
        f:spec:
          f:volumeName: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-29T12:25:38Z"
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          f:accessModes: {}
          f:capacity:
            .: {}
            f:storage: {}
          f:phase: {}
      manager: kube-controller-manager
      operation: Update
      subresource: status
      time: "2025-10-29T12:25:38Z"
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:cdi.kubevirt.io/createdForDataVolume: {}
            f:cdi.kubevirt.io/storage.bind.immediate.requested: {}
            f:cdi.kubevirt.io/storage.condition.running: {}
            f:cdi.kubevirt.io/storage.condition.running.message: {}
            f:cdi.kubevirt.io/storage.condition.running.reason: {}
            f:cdi.kubevirt.io/storage.contentType: {}
            f:cdi.kubevirt.io/storage.pod.phase: {}
            f:cdi.kubevirt.io/storage.pod.restarts: {}
            f:cdi.kubevirt.io/storage.populator.progress: {}
            f:cdi.kubevirt.io/storage.preallocation.requested: {}
            f:cdi.kubevirt.io/storage.usePopulator: {}
          f:labels:
            .: {}
            f:app: {}
            f:app.kubernetes.io/component: {}
            f:app.kubernetes.io/managed-by: {}
            f:app.kubernetes.io/part-of: {}
            f:app.kubernetes.io/version: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"1875e595-8167-4d4e-a0fa-da635def8fa9"}: {}
        f:spec:
          f:accessModes: {}
          f:dataSourceRef:
            .: {}
            f:apiGroup: {}
            f:kind: {}
            f:name: {}
          f:resources:
            f:requests:
              .: {}
              f:storage: {}
          f:storageClassName: {}
          f:volumeMode: {}
      manager: virt-cdi-controller
      operation: Update
      time: "2025-10-29T12:25:38Z"
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:finalizers:
            v:"provisioner.storage.kubernetes.io/cloning-protection": {}
      manager: csi-provisioner
      operation: Update
      time: "2025-10-29T12:25:45Z"
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            f:reclaimspace.csiaddons.openshift.io/cronjob: {}
            f:reclaimspace.csiaddons.openshift.io/schedule: {}
      manager: csi-addons-manager
      operation: Update
      time: "2025-10-29T12:26:15Z"
    name: dv-for-product-upgrade-ocs-storagecluster-ceph-rbd-virtualization
    namespace: openshift-virtualization-os-images
    ownerReferences:
    - apiVersion: cdi.kubevirt.io/v1beta1
      blockOwnerDeletion: true
      controller: true
      kind: DataVolume
      name: dv-for-product-upgrade-ocs-storagecluster-ceph-rbd-virtualization
      uid: 1875e595-8167-4d4e-a0fa-da635def8fa9
    resourceVersion: "2177064"
    uid: d9fa2be6-84b7-4ebb-bd25-d9d50733a742
  spec:
    accessModes:
    - ReadWriteMany
    dataSource:
      apiGroup: cdi.kubevirt.io
      kind: VolumeImportSource
      name: volume-import-source-1875e595-8167-4d4e-a0fa-da635def8fa9
    dataSourceRef:
      apiGroup: cdi.kubevirt.io
      kind: VolumeImportSource
      name: volume-import-source-1875e595-8167-4d4e-a0fa-da635def8fa9
    resources:
      requests:
        storage: "21474836480"
    storageClassName: ocs-storagecluster-ceph-rbd-virtualization
    volumeMode: Block
    volumeName: pvc-dd5739aa-f6b7-407e-ab44-e79566915a92
  status:
    accessModes:
    - ReadWriteMany
    capacity:
      storage: 20Gi
    phase: Bound
kind: PersistentVolumeClaimList
metadata:
  resourceVersion: "2238663"
